%global srcname stun
# Erlang packages don't seem to ship debug files, as the build process does not generate them
%global debug_package %{nil}


Name: erlang-%{srcname}
Version: 1.0.7
Release: %mkrel 1

Group:   Development/Erlang

License: ASL 2.0
Summary: STUN and TURN library for Erlang / Elixir
URL:     https://github.com/processone/stun/
Source0: https://github.com/processone/stun/archive/%{version}.tar.gz

Provides:  erlang-p1_stun = %{version}-%{release}
Obsoletes: erlang-p1_stun < 1.0.1

BuildRequires: erlang-edoc
BuildRequires: erlang-rebar
BuildRequires: erlang-fast_tls >= 1.0.7
BuildRequires: erlang-p1_utils >= 1.0.5


%description
STUN and TURN library for Erlang / Elixir. Both STUN (Session Traversal
Utilities for NAT) and TURN standards are used as techniques to establish media
connection between peers for VoIP (for example using SIP or Jingle) and WebRTC.


%prep
%autosetup -n stun-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}


##check
#{rebar_eunit}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}



%changelog
* Thu Nov 17 2016 neoclust <neoclust> 1.0.7-1.mga6
+ Revision: 1068008
- imported package erlang-stun

